#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);




    vector<long long int> pomocni;
    long long int n,q;
    long long int pom,prvi;
    long long int brojac = 0;
    cin >> n;
    cin >> prvi;
    pomocni.push_back(0);

    for(int i = 1; i < n; i++){
        cin >>pom;
        if(pom < prvi){
            brojac++;
        }
        prvi = pom;
        pomocni.push_back(brojac);
    }
    cin >> q;
    for(int i = 0 ; i < q; i ++){
        cin>>prvi;
        cin>>pom;
        pom--;
        prvi--;
        if(pomocni[pom] - pomocni[prvi] > 1){
            cout << "NE"<<endl;
        }else{
            cout << "DA"<<endl;
        }
    }

    return 0;
}